# Uses of Class
javax.crypto.KeyGeneratorSpi

Packages that use KeyGeneratorSpi
Package
Description
javax.crypto
Provides the classes and interfaces for cryptographic operations.

## Uses of KeyGeneratorSpi in javax.crypto

Constructors in javax.crypto with parameters of type KeyGeneratorSpi
Modifier
Constructor
Description
`protected`
`KeyGenerator​(KeyGeneratorSpi keyGenSpi, Provider provider, String algorithm)`
Creates a KeyGenerator object.